Subject: [httpapi] ratelimit headers with Structured fields syntax

From: Roberto Polli <[email-masked]>
Date: Tue, 3 Aug 2021 11:47:16 +0200

Hi folks,

I took some time to refine a sf- proposal for RateLimit Headers.
This is the last open PR so I think that once we address this issue
the spec just needs an editorial review and is then ready for a last call.

To ease readability, I stubbed it on google docs, and you can comment it here.
If there aren't great concerns I'll create a PR:

https://docs.google.com/document/d/1rJJb7-NRk1WxAgtel02KiVd2UwvUdQPUN5XS57hPnw4/edit#

Please note that:

1. I still retain time-window, quota-units, service-limit referencing
sf-integer to be able to reference the underlying concepts
2. following rfc8941, sf-item has parameters whereas sf-integer does
not (see https://datatracker.ietf.org/doc/html/rfc8941#section-3.3
    where
    sf-item = bare-item parameters
    bare-item = sf-integer / ...
    sf-integer = ["-"]  1*15DIGIT

Thanks for your time,
R.